
.modal-body.modal-body-ins video {
    width: 95%;
}

.modal-body.modal-body-ins {
    text-align: center;
}

a.container-btn-ins.btn-none {
    cursor: default;
}

.row-flex-ins {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
}

/* Card */

a.card-btn-ins {
    border-radius: 10px;
    width: 130px;
    background: linear-gradient(6deg, rgb(47, 182, 212) 0%, rgb(19, 68, 114) 100%);
    font-size: 16px;
    color: white;
    font-weight: 300;
    padding: 17px;
}

.card-container-ins {
    max-width: 250px;
    min-height: 300px;
    margin: 10px;
    position: relative;
    box-shadow: 5px 8px 3px 0 rgba(0, 0, 0, .1607843137);
    border-radius: 15px;
    overflow: hidden;
}

.card-body-ins {
    width: 100%;
    height: 55%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    align-content: center;
}

    .card-body-ins img {
        width: 100%;
    }

.card-footer-ins {
    padding: 10px;
    text-align: center;
    height: 45%;
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    align-items: center;
    justify-content: center;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
}

.card-text-ins {
    width: 100%;
    height: 55%;
    text-align: center;
    display: flex;
    align-items: center;
    padding: 10px;
    justify-content: center;
}

.card-btn-ins {
    width: 100%;
    height: 45%;
    display: flex;
    align-content: center;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

a.card-btn-ins:hover {
    background: linear-gradient(6deg, rgb(47, 182, 212) 0%, rgb(0 21 41) 100%);
    transform: scale(0.97);
    transition: all 0.2s;
    box-shadow: 0px 0px 10px 0 rgba(0, 0, 0, .1607843137);
}

/* Card */

.content-common p {
    margin: 0;
    padding: 0;
}


.content-common .container-ins {
    margin: 0 auto 0 auto;
    padding: 15px;
    min-height: 300px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

    .content-common .container-ins .container-text-ins {
        margin: 5px;
        padding: 10px;
    }



.content-common .container-ins-fuid {
    width: 100%;
    height: max-content;
    margin: 0;
    padding: 0;
}



.img-gif img {
    width: 100%;
    z-index: 400;
}

.row-ins {
    display: grid;
    justify-items: center;
    justify-content: center;
    width: 100%;
    padding: 10px;
    margin-left: 10px;
    margin-right: 10px;
    align-items: stretch;
}

    .row-ins a {
        color: white;
    }

.container-picture-ins {
    position: relative;
    overflow: hidden;
    line-height: normal;
}


.container-ins.grid-left {
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row-reverse;
    justify-content: center;
    align-items: center;
    min-height: 300px;
    padding: 50px;
}

.container-ins.grid-right {
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    min-height: 300px;
    padding: 50px;
}
/*
    .container-picture-ins:hover .img-gif {
        right: 100px !important;
        transition:ease-in-out 1s;
    }*/


.img-gif {
    width: 40%;
    height: auto;
    position: absolute;
    right: -40%;
    top: 50%;
    transform: translateY(-50%);
    z-index: 3;
    animation: none;
}

.accordion-item {
    margin: 10px !important;
}

.accordion-flush {
    width: 100%;
}

button.accordion-button {
    border-radius: 8px !important;
    color: #1D526D !important;
}

.accordion-body {
    background: white;
    border-radius: 2px 2px 8px 8px !important;
}


@keyframes moveLeft {
    0% {
        right: -40%;
    }

    100% {
        right: 100px;
    }
}

.moveLeft {
    animation: moveLeft 1s forwards; /* forwards para mantener el estado final */
}



.container-picture-ins .container-text-float {
    position: absolute;
    left: 25px;
    top: 50%;
    color: white;
    text-align: center;
    min-height: 30%;
    padding: 20px;
    border-radius: 0 0 35% 0 / 70% 0 70% 70%;
    height: max-content;
    max-width: 50%;
    width: 600px;
    max-height: 95%;
    display: flex;
    transform: translateY(-50%);
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding-top: 40px;
}


.container-text-float.center {
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 500;
    border-radius: 0 0 0% 0 / 70% 0 70% 70%;
}


.container-btn-ins {
    display: flex;
    flex-direction: column;
    align-items: center;
    /*height: 100%;*/
    width: 100%;
    margin: 10px;
    Padding: 5px;
    height: auto !important;
}

.container-text-button-ins {
    width: 50%; /*100%*/
    /*display: flex;*/
    flex-wrap: wrap;
    justify-content: center;
    gap: 25px;
    align-items: center;
    margin: 10px 0 10px 0px;
}

.ins-button-1 {
    background-color: #ffc91d;
    width: 100px;
    height: 100px;
    border-radius: 70% 1% 70% 70% / 70% 0 70% 70%;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    margin: 10px;
}

    .ins-button-1 img {
        width: 90%;
    }





.ins-button-2 {
    /*padding: 5px;*/
    padding: 5px 10px 5px 10px;
    /*width: 200px;
    height: 35px; configurando botones informativos daniel avila-03/072024 reunion francisco y maria*/
    color: white;
    display: -webkit-inline-box;
    justify-content: center;
    align-items: center;
    border-radius: 15px;
    /*height: -webkit-fill-available;*/
    height: auto !important;
    -webkit-box-align: center;
    /*min-height: 60px;*/
    margin: 10px;
    /*width: -webkit-fill-available;*/
    width: auto;
}

    .ins-button-2 p {
        width: 100%;
        text-align: center;
    }

    .ins-button-2 img {
        width: 90%;
    }

.ins-button-3 {
    color: transparent;
    /*background-color: #f0f0f0;
    padding: 5px;
    width: 100px;
    height: 100px;*/
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 30px;
}

    .ins-button-3 img {
        width: 90%;
    }

.ins-button-4 {
    /* width: max-content; */
    height: max-content;
    background: var(--green-10);
    box-shadow: 0px 8px 8px rgba(0, 0, 0, .4);
    border-radius: 10px;
    display: flex;
    align-items: center;
    color: #000;
    font-weight: 900;
    justify-content: center;
    padding: 10px 16px;
}

.ins-button-5 img {
    width: 120px;
    height: 120px;
}

.btn-action-ins:hover {
    transform: scale(0.9);
    transition: all 0.2s;
    cursor: pointer;
}

.modal-body-ins img {
    width: 85% !important;
}

.container-accord img {
    max-width: 300px;
}

.container-accord .img-phone-custom {
    max-width: 18px;
    width: 95%;
    margin: auto;
    height: auto;
}

.modal-lg, .modal-xl {
    z-index: 999999999;
}
/* Extra small: <576px */
@media (max-width: 575.98px) {
    /* Estilos para Extra Small */
    .content-common .container-ins {
        width: 100%;
    }

    .container-text-float H1 {
        font-size: 20px !important;
    }

    .container-text-float H2 {
        font-size: 17px !important;
    }

    .container-text-float H3 {
        font-size: 15px !important;
    }

    .container-text-float H4 {
        font-size: 12px !important;
    }

    .container-btn-ins {
        display: flex;
        flex-direction: column;
        align-items: center;
        /*height: 100%;*/
        width: 100%;
        margin: 10px;
        Padding: 5px;
        height: auto !important;
    }

    .ins-button-2 {
        /*padding: 5px;*/
        padding: 5px 10px 5px 10px;
        /*width: 200px;
        height: 35px; configurando botones informativos daniel avila-03/072024 reunion francisco y maria*/
        color: white;
        display: -webkit-inline-box;
        justify-content: center;
        align-items: center;
        border-radius: 15px;
        /*height: -webkit-fill-available;*/
        height: auto !important;
        -webkit-box-align: center;
        /*min-height: 60px;*/
        margin: 10px;
        /*width: -webkit-fill-available;*/
        width: auto;
    }
}

/* Small: ≥576px */
@media (min-width: 576px) {
    /* Estilos para Small */


    .content-common .container-ins {
        width: 100%;
    }

    .container-text-float H1 {
        font-size: 35px !important;
    }

    .container-text-float H2 {
        font-size: 25px !important;
    }

    .container-text-float H3 {
        font-size: 16px !important;
    }

    .container-text-float H4 {
        font-size: 12px !important;
    }

    .container-btn-ins {
        display: flex;
        flex-direction: column;
        align-items: center;
        /*height: 100%;*/
        width: 100%;
        margin: 10px;
        Padding: 5px;
        height: auto !important;
    }

    .ins-button-2 {
        /*padding: 5px;*/
        padding: 5px 10px 5px 10px;
        /*width: 200px;
        height: 35px; configurando botones informativos daniel avila-03/072024 reunion francisco y maria*/
        color: white;
        display: -webkit-inline-box;
        justify-content: center;
        align-items: center;
        border-radius: 15px;
        /*height: -webkit-fill-available;*/
        height: auto !important;
        -webkit-box-align: center;
        /*min-height: 60px;*/
        margin: 10px;
        /*width: -webkit-fill-available;*/
        width: auto;
    }
}

/* Medium: ≥768px */
@media (min-width: 768px) {
    /* Estilos para Medium */
    .content-common .container-ins {
        width: 100%;
    }

    .container-text-float H1 {
        font-size: 35px !important;
    }

    .container-text-float H2 {
        font-size: 25px !important;
    }

    .container-text-float H3 {
        font-size: 16px !important;
    }

    .container-text-float H4 {
        font-size: 12px !important;
    }

    .container-btn-ins {
        display: flex;
        flex-direction: column;
        align-items: center;
        /*height: 100%;*/
        width: 100%;
        margin: 10px;
        Padding: 5px;
        height: auto !important;
    }

    .ins-button-2 {
        /*padding: 5px;*/
        padding: 5px 10px 5px 10px;
        /*width: 200px;
        height: 35px; configurando botones informativos daniel avila-03/072024 reunion francisco y maria*/
        color: white;
        display: -webkit-inline-box;
        justify-content: center;
        align-items: center;
        border-radius: 15px;
        /*height: -webkit-fill-available;*/
        height: auto !important;
        -webkit-box-align: center;
        /*min-height: 60px;*/
        margin: 10px;
        /*width: -webkit-fill-available;*/
        width: auto;
    }
}

/* Large:<= 768px */
@media (max-width: 768px) {
    /* Estilos para Medium */


    .ins-button-1 {
        width: 70px;
        height: 70px;
    }

    .ins-button-5 {
        width: 70px;
        height: 70px;
    }

        .ins-button-5 img {
            width: 100%;
            height: 100%;
        }

    .container-text-float {
        left: 50% !important;
        transform: translate(-50%, -50%) !important;
        z-index: 500 !important;
        border-radius: 0 0 0% 0 / 70% 0 70% 70% !important;
        max-width: 80% !important;
        width: 80% !important;
    }

    .container-btn-ins {
        display: flex;
        flex-direction: column;
        align-items: center;
        /*height: 100%;*/
        width: 100%;
        margin: 10px;
        Padding: 5px;
        height: auto !important;
    }

    .ins-button-2 {
        /*padding: 5px;*/
        padding: 5px 10px 5px 10px;
        /*width: 200px;
        height: 35px; configurando botones informativos daniel avila-03/072024 reunion francisco y maria*/
        color: white;
        display: -webkit-inline-box;
        justify-content: center;
        align-items: center;
        border-radius: 15px;
        /*height: -webkit-fill-available;*/
        height: auto !important;
        -webkit-box-align: center;
        /*min-height: 60px;*/
        margin: 10px;
        /*width: -webkit-fill-available;*/
        width: auto;
    }
}


/* Large: ≥992px */
@media (min-width: 992px) {
    /* Estilos para Large */



    .content-common .container-ins {
        width: 100%;
    }

    .container-text-float H1 {
        font-size: 45px !important;
    }

    .container-text-float H2 {
        font-size: 30px !important;
    }

    .container-text-float H3 {
        font-size: 18px !important;
    }

    .container-text-float H4 {
        font-size: 15px !important;
    }

    .container-btn-ins {
        display: flex;
        flex-direction: column;
        align-items: center;
        /*height: 100%;*/
        width: 100%;
        margin: 10px;
        Padding: 5px;
        height: auto !important;
    }

    .ins-button-2 {
        /*padding: 5px;*/
        padding: 5px 10px 5px 10px;
        /*width: 200px;
        height: 35px; configurando botones informativos daniel avila-03/072024 reunion francisco y maria*/
        color: white;
        display: -webkit-inline-box;
        justify-content: center;
        align-items: center;
        border-radius: 15px;
        /*height: -webkit-fill-available;*/
        height: auto !important;
        -webkit-box-align: center;
        /*min-height: 60px;*/
        margin: 10px;
        /*width: -webkit-fill-available;*/
        width: auto;
    }
}



/* Large:<= 992px */
@media (max-width: 992px) {
    /* Estilos para Large */


    .row-ins:has(.ins-button-5) {
        grid-template-columns: repeat(1, 230px) !important;
    }

    .row-ins:has(iframe) {
        grid-template-columns: repeat(1, 90%) !important;
    }

    .row-ins:has(.ins-button-2) {
        grid-template-columns: repeat(1, 80%) !important;
    }

    .ins-button-2 {
        min-height: 50px !important;
        width: 90% !important;
    }

/*    .row-ins {
        grid-template-columns: repeat(2, minmax(160px, 190px)) !important;
    }*/

    .container-text-float {
        width: 70% !important;
        z-index: 500 !important;
        max-width: unset !important;
    }

    .content-common .container-ins {
        flex-direction: column !important;
        align-items: stretch !important;
    }


    .row-ins.container-accord {
        grid-template-columns: repeat(1, minmax(50%, 100%)) !important;
    }

    .container-btn-ins {
        display: flex;
        flex-direction: column;
        align-items: center;
        /*height: 100%;*/
        width: 100%;
        margin: 10px;
        Padding: 5px;
        height: auto !important;
    }

    .ins-button-2 {
        /*padding: 5px;*/
        padding: 5px 10px 5px 10px;
        /*width: 200px;
        height: 35px; configurando botones informativos daniel avila-03/072024 reunion francisco y maria*/
        color: white;
        display: -webkit-inline-box;
        justify-content: center;
        align-items: center;
        border-radius: 15px;
        /*height: -webkit-fill-available;*/
        height: auto !important;
        -webkit-box-align: center;
        /*min-height: 60px;*/
        margin: 10px;
        /*width: -webkit-fill-available;*/
        width: auto;
    }
}




/* X-Large: ≥1200px */
@media (min-width: 1200px) {
    /* Estilos para X-Large */
/*    .content-common .container-ins {
        width: 1140px;
    }*/



    .container-text-float H1 {
        font-size: 40px !important;
    }

    .container-text-float H2 {
        font-size: 30px !important;
    }

    .container-text-float H3 {
        font-size: 20px !important;
    }

    .container-text-float H4 {
        font-size: 16px !important;
    }
}

/* XX-Large: ≥1400px */
@media (min-width: 1400px) {
/*    .content-common .container-ins {
        width: 1320px;
    }*/

    .container-btn-ins {
        display: flex;
        flex-direction: column;
        align-items: center;
        /*height: 100%;*/
        width: 100%;
        margin: 10px;
        Padding: 5px;
        height: auto !important;
    }

    .ins-button-2 {
        /*padding: 5px;*/
        padding: 5px 10px 5px 10px;
        /*width: 200px;
        height: 35px; configurando botones informativos daniel avila-03/072024 reunion francisco y maria*/
        color: white;
        display: -webkit-inline-box;
        justify-content: center;
        align-items: center;
        border-radius: 15px;
        /*height: -webkit-fill-available;*/
        height: auto !important;
        -webkit-box-align: center;
        /*min-height: 60px;*/
        margin: 10px;
        /*width: -webkit-fill-available;*/
        width: auto;
    }
}


.grid-template-columns-1 {
    grid-template-columns: repeat(1, 230px) !important;
}

.grid-template-columns-2 {
    grid-template-columns: repeat(2, 230px) !important;
}

.grid-template-columns-3 {
    grid-template-columns: repeat(3, 230px) !important;
}

.grid-template-columns-4 {
    grid-template-columns: repeat(4, 230px) !important;
}

.grid-template-columns-5 {
    grid-template-columns: repeat(5, 230px) !important;
}

.grid-template-columns-6 {
    grid-template-columns: repeat(6, 230px) !important;
}


